cURL
curl -sS -X DELETE 'https://apipub.firstbasehq.com/scim/v2/Users/{id}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/scim/v2/Users/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/scim/v2/Users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "Resource 2819c223-7f76-453a-919d-413861904646 not found",
"status": "404"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}People
Delete user
Deleting a User will start the Offboarding process for the user. This is a SOFT delete, in which the user will still have access to the Firstbase platform until offboarding has completed
DELETE
https://apipub.firstbasehq.com
/
scim
/
v2
/
Users
/
{id}
cURL
curl -sS -X DELETE 'https://apipub.firstbasehq.com/scim/v2/Users/{id}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/scim/v2/Users/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/scim/v2/Users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "Resource 2819c223-7f76-453a-919d-413861904646 not found",
"status": "404"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Prefix the value with "ApiKey" to indicate the custom authorization type
Path Parameters
Unique id of the user
Query Parameters
When true (default), the user must confirm their shipping address before the return is fulfilled. Set to false to skip address confirmation and proceed with offboarding immediately.
Response
User has been deleted and offboarding has started